plugins {
    id("org.jetbrains.kotlin.js") version "1.5.20-RC"
}

group = "fr.username404"
version = "0.1"

repositories {
    mavenCentral()
}

dependencies {
    implementation(kotlin("stdlib-js"))
    implementation("org.jetbrains.kotlinx:kotlinx-html:0.7.3")
}

kotlin {
    js(IR) {
        moduleName = "Username404_Website"
        browser {
            webpackTask {
                output.libraryTarget = "global"
                cssSupport.enabled = true
            }

            runTask {
                cssSupport.enabled = true
            }

            testTask {
                useKarma {
                    useFirefoxNightlyHeadless()
                    webpackConfig.cssSupport.enabled = true
                }
            }
        }
        binaries.executable()
    }
}

tasks.withType(org.jetbrains.kotlin.gradle.tasks.KotlinCompile::class) {
    with(kotlinOptions) {
        freeCompilerArgs = listOf("-Xopt-in=kotlin.RequiresOptIn", "-progressive")
    }
}